Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.templates
Class ElemNumber

    java.lang.Object
      |
      +--org.apache.xalan.utils.UnImplNode
            |
            +--org.apache.xalan.templates.ElemTemplateElement
                  |
                  +--org.apache.xalan.templates.ElemNumber

public class ElemNumber
extends ElemTemplateElement

**For advanced use only** Implement xsl:number.

See Also:
  number in XSLT Specification, Serialized Form

Constructor Summary
`ElemNumber()` **For advanced use only**

Method Summary
`Node` | `appendChild(Node newChild)` **For advanced use only** Add a child to the child list.
`void` | `execute(TransformerImpl transformer, Node sourceNode, QName mode)` **For advanced use only** Execute an xsl:number instruction.
`XPath` | `getCount()` **For advanced use only** Get the "count" attribute.
`AVT` | `getFormat()` **For advanced use only** Get the "format" attribute.
`XPath` | `getFrom()` **For advanced use only** Get the "from" attribute.
`AVT` | `getGroupingSeparator()` **For advanced use only** Get the "grouping-separator" attribute.
`AVT` | `getGroupingSize()` **For advanced use only** Get the "grouping-size" attribute.
`AVT` | `getLang()` **For advanced use only** Get the "lang" attribute.
`AVT` | `getLetterValue()` **For advanced use only** Get the "letter-value" attribute.
`int` | `getLevel()` **For advanced use only** Get the "level" attribute.
`java.lang.String` | `getNodeName()` **For advanced use only** Return the node name.
`Node` | `getPreviousNode(XPathContext xctxt, Node pos)` **For advanced use only** Get the previous node to be counted.
`Node` | `getTargetNode(XPathContext xctxt, Node sourceNode)` **For advanced use only** Get the target node that will be counted..
`XPath` | `getValue()` **For advanced use only** Get the "value" attribute.
`int` | `getXSLToken()` **For advanced use only** Get an int constant identifying the type of element.
`void` | `setCount(XPath v)` **For advanced use only** Set the "count" attribute.
`void` | `setFormat(AVT v)` **For advanced use only** Set the "format" attribute.
`void` | `setFrom(XPath v)` **For advanced use only** Set the "from" attribute.
`void` | `setGroupingSeparator(AVT v)` **For advanced use only** Set the "grouping-separator" attribute.
`void` | `setGroupingSize(AVT v)` **For advanced use only** Set the "grouping-size" attribute.
`void` | `setLang(AVT v)` **For advanced use only** Set the "lang" attribute.
`void` | `setLetterValue(AVT v)` **For advanced use only** Set the "letter-value" attribute.
`void` | `setLevel(int v)` **For advanced use only** Set the "level" attribute.
`void` | `setValue(XPath v)` **For advanced use only** Set the "value" attribute.

Methods inherited from class org.apache.xalan.templates.ElemTemplateElement
`compose, error, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getFirstChild, getFirstChildElem, getLastChild, getLength, getLineNumber, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeType, getOwnerDocument, getParentElem, getParentNode, getPrefixes, getPreviousSibling, getPublicId, getStylesheet, getStylesheetComposed, getStylesheetRoot, getSystemId, getTagName, getXmlSpace, hasChildNodes, isCompiledTemplate, item, removeChild, replaceChild, resolvePrefixTables, runtimeInit, setDOMBackPointer, setLocaterInfo, setPrefixes, setPrefixes, setXmlSpace`

Methods inherited from class org.apache.xalan.utils.UnImplNode
`appendData, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, error, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getImplementation, getLocalName, getNamespaceURI, getNodeValue, getOwnerElement, getPrefix, getSpecified, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertBefore, insertData, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceData, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setNodeValue, setPrefix, setValue, splitText, substringData, supports`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElemNumber

    public ElemNumber()

Method Detail

### setCount

    public void setCount(XPath v)

  **For advanced use only** Set the "count" attribute. The count attribute is a pattern that specifies what nodes should be counted at those levels. If count attribute is not specified, then it defaults to the pattern that matches any node with the same node type as the current node and, if the current node has an expanded-name, with the same expanded-name as the current node.

### getCount

    public XPath getCount()

  **For advanced use only** Get the "count" attribute. The count attribute is a pattern that specifies what nodes should be counted at those levels. If count attribute is not specified, then it defaults to the pattern that matches any node with the same node type as the current node and, if the current node has an expanded-name, with the same expanded-name as the current node.

### setFrom

    public void setFrom(XPath v)

  **For advanced use only** Set the "from" attribute. Specifies where to count from. For level="single" or level="multiple": Only ancestors that are searched are those that are descendants of the nearest ancestor that matches the from pattern. For level="any: Only nodes after the first node before the current node that match the from pattern are considered.

### getFrom

    public XPath getFrom()

  **For advanced use only** Get the "from" attribute. For level="single" or level="multiple": Only ancestors that are searched are those that are descendants of the nearest ancestor that matches the from pattern. For level="any: Only nodes after the first node before the current node that match the from pattern are considered.

### setLevel

    public void setLevel(int v)

  **For advanced use only** Set the "level" attribute. The level attribute specifies what levels of the source tree should be considered; it has the values single, multiple or any. The default is single.

### getLevel

    public int getLevel()

  **For advanced use only** Get the "level" attribute. The level attribute specifies what levels of the source tree should be considered; it has the values single, multiple or any. The default is single.

### setValue

    public void setValue(XPath v)

  **For advanced use only** Set the "value" attribute. The value attribute contains an expression. The expression is evaluated and the resulting object is converted to a number as if by a call to the number function.

### getValue

    public XPath getValue()

  **For advanced use only** Get the "value" attribute. The value attribute contains an expression. The expression is evaluated and the resulting object is converted to a number as if by a call to the number function.

### setFormat

    public void setFormat(AVT v)

  **For advanced use only** Set the "format" attribute. The "format" attribute is used to control conversion of a list of numbers into a string.
  See Also:
    convert in XSLT Specification

### getFormat

    public AVT getFormat()

  **For advanced use only** Get the "format" attribute. The "format" attribute is used to control conversion of a list of numbers into a string.
  See Also:
    convert in XSLT Specification

### setLang

    public void setLang(AVT v)

  **For advanced use only** Set the "lang" attribute. When numbering with an alphabetic sequence, the lang attribute specifies which language's alphabet is to be used; it has the same range of values as xml:lang [XML]; if no lang value is specified, the language should be determined from the system environment. Implementers should document for which languages they support numbering.
  See Also:
    convert in XSLT Specification

### getLang

    public AVT getLang()

  **For advanced use only** Get the "lang" attribute. When numbering with an alphabetic sequence, the lang attribute specifies which language's alphabet is to be used; it has the same range of values as xml:lang [XML]; if no lang value is specified, the language should be determined from the system environment. Implementers should document for which languages they support numbering.
  See Also:
    convert in XSLT Specification

### setLetterValue

    public void setLetterValue(AVT v)

  **For advanced use only** Set the "letter-value" attribute. The letter-value attribute disambiguates between numbering sequences that use letters.
  See Also:
    convert in XSLT Specification

### getLetterValue

    public AVT getLetterValue()

  **For advanced use only** Get the "letter-value" attribute. The letter-value attribute disambiguates between numbering sequences that use letters.
  See Also:
    convert in XSLT Specification

### setGroupingSeparator

    public void setGroupingSeparator(AVT v)

  **For advanced use only** Set the "grouping-separator" attribute. The grouping-separator attribute gives the separator used as a grouping (e.g. thousands) separator in decimal numbering sequences.
  See Also:
    convert in XSLT Specification

### getGroupingSeparator

    public AVT getGroupingSeparator()

  **For advanced use only** Get the "grouping-separator" attribute. The grouping-separator attribute gives the separator used as a grouping (e.g. thousands) separator in decimal numbering sequences.
  See Also:
    convert in XSLT Specification

### setGroupingSize

    public void setGroupingSize(AVT v)

  **For advanced use only** Set the "grouping-size" attribute. The optional grouping-size specifies the size (normally 3) of the grouping.
  See Also:
    convert in XSLT Specification

### getGroupingSize

    public AVT getGroupingSize()

  **For advanced use only** Get the "grouping-size" attribute. The optional grouping-size specifies the size (normally 3) of the grouping.
  See Also:
    convert in XSLT Specification

### getXSLToken

    public int getXSLToken()

  **For advanced use only** Get an int constant identifying the type of element.
  Overrides:
    getXSLToken in class ElemTemplateElement
  See Also:
    `Constants`

### getNodeName

    public java.lang.String getNodeName()

  **For advanced use only** Return the node name.
  Overrides:
    getNodeName in class ElemTemplateElement

### execute

    public void execute(TransformerImpl transformer,
                        Node sourceNode,
                        QName mode)
                 throws SAXException

  **For advanced use only** Execute an xsl:number instruction. The xsl:number element is used to insert a formatted number into the result tree.
  Overrides:
    execute in class ElemTemplateElement

### appendChild

    public Node appendChild(Node newChild)
                     throws DOMException

  **For advanced use only** Add a child to the child list.
  Overrides:
    appendChild in class ElemTemplateElement

### getPreviousNode

    public Node getPreviousNode(XPathContext xctxt,
                                Node pos)
                         throws SAXException

  **For advanced use only** Get the previous node to be counted.

### getTargetNode

    public Node getTargetNode(XPathContext xctxt,
                              Node sourceNode)
                       throws SAXException

  **For advanced use only** Get the target node that will be counted..

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.